## org.h2.util
Class IntArray

    java.lang.Object
      org.h2.util.IntArray

    public class IntArray

extends java.lang.Object

An array with integer element.

Constructor Summary
`IntArray()` Create an int array with the default initial capacity.
`IntArray(int capacity)` Create an int array with specified initial capacity.
`IntArray(int[] data)` Create an int array with the given values and size.

Method Summary
`void` `add(int value)` Append a value.
`boolean` `equals(java.lang.Object obj)`
`int` `get(int index)` Get the value at the given index.
`int` `hashCode()`
`void` `remove(int index)` Remove the value at the given index.
`void` `removeRange(int fromIndex, int toIndex)` Remove a number of elements.
`int` `size()` Get the size of the list.
`void` `toArray(int[] array)` Convert this list to an array.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntArray

    public IntArray()

  Create an int array with the default initial capacity.

### IntArray

    public IntArray(int capacity)

  Create an int array with specified initial capacity.

  Parameters:
    `capacity` - the initial capacity

### IntArray

    public IntArray(int[] data)

  Create an int array with the given values and size.

  Parameters:
    `data` - the int array

Method Detail

### add

    public void add(int value)

  Append a value.

  Parameters:
    `value` - the value to append

### get

    public int get(int index)

  Get the value at the given index.

  Parameters:
    `index` - the index
  Returns:
    the value

### remove

    public void remove(int index)

  Remove the value at the given index.

  Parameters:
    `index` - the index

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### size

    public int size()

  Get the size of the list.

  Returns:
    the size

### toArray

    public void toArray(int[] array)

  Convert this list to an array. The target array must be big enough.

  Parameters:
    `array` - the target array

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### removeRange

    public void removeRange(int fromIndex,
                            int toIndex)

  Remove a number of elements.

  Parameters:
    `fromIndex` - the index of the first item to remove
    `toIndex` - upper bound (exclusive)